Bug 1473851 - Review Request: docker-client-java - Java library to communicate with Docker daemon
Review Request: docker-client-java - Java library to communicate with Docker ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
: 1412008 (view as bug list)
Depends On:
Blocks: 1411966
  Show dependency treegraph
 
Reported: 2017-07-21 16:47 EDT by Jeff Johnston
Modified: 2017-07-25 16:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: docker-client-java-6.2.5-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rgrunber: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2017-07-21 16:47:28 EDT
Spec URL: http://www.vermillionskye.com/work/docker-client-java.spec
SRPM URL: http://www.vermillionskye.com/work/docker-client-java-6.2.5-3.fc27.src.rpm
Description: This is re-review of the docker-client package which is being renamed to docker-client-java.
Fedora Account System Username: jjohnstn
Comment 1 Roland Grunberg 2017-07-21 17:02:45 EDT
*** Bug 1412008 has been marked as a duplicate of this bug. ***
Comment 2 Roland Grunberg 2017-07-21 17:11:53 EDT
I'll take this review.
Comment 3 Roland Grunberg 2017-07-21 17:56:12 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present. Note: Javadocs are optional for
  Fedora versions >= 21
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
     
     Upstream license is ASL 2.0, which matches the specfile
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
Line 6 and 7 contains tabs while the rest of the file uses spaces. Simple enough to fix.

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Can't find any BUILD directory (--prebuilt option?)
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
As this is a rename I think we're fine to perform the rename and update to the latest upstream at a later point. Generally upstream is quite frequent in their updates (even major version updates) so being a bit behind is not a deal breaker.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
Tested on fedora-rawhide-x86_64 mock configuration
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: docker-client-java-6.2.5-3.fc27.noarch.rpm
          docker-client-java-6.2.5-3.fc27.src.rpm
docker-client-java.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 6)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

[!] Line 6 and 7 contains tabs while the rest of the file uses spaces. Simple enough to fix.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
docker-client-java (rpmlib, GLIBC filtered):
    glassfish-jaxb-api
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(com.fasterxml.jackson.datatype:jackson-datatype-guava)
    mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider)
    mvn(com.github.jnr:jnr-unixsocket)
    mvn(com.google.guava:guava)
    mvn(commons-lang:commons-lang)
    mvn(org.apache.commons:commons-compress)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.bouncycastle:bcpkix-jdk15on)
    mvn(org.glassfish.jersey.connectors:jersey-apache-connector)
    mvn(org.glassfish.jersey.core:jersey-client)
    mvn(org.glassfish.jersey.media:jersey-media-json-jackson)
    mvn(org.slf4j:slf4j-api)



Provides
--------
docker-client-java:
    docker-client
    docker-client-java
    mvn(com.spotify:docker-client)
    mvn(com.spotify:docker-client:pom:)
    osgi(com.spotify.docker.client)



Source checksums
----------------
https://github.com/spotify/docker-client/archive/v6.2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 24b65c19fa1aa2b82560ccd53c5d13843501c4f5c2935a3a3144dd7f91aec61b
  CHECKSUM(SHA256) upstream package : 24b65c19fa1aa2b82560ccd53c5d13843501c4f5c2935a3a3144dd7f91aec61b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1473851 -P Java -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

It all looks fine to me. I would just change the usage of tabs to spaces on lines 6 and 7 to match with the rest of the file.
Comment 4 Jeff Johnston 2017-07-24 11:13:53 EDT
> 
> It all looks fine to me. I would just change the usage of tabs to spaces on
> lines 6 and 7 to match with the rest of the file.

Done.  Please see update.

Spec URL: http://www.vermillionskye.com/work/docker-client-java.spec
SRPM URL: http://www.vermillionskye.com/work/docker-client-java-6.2.5-3.fc27.src.rpm
Comment 5 Roland Grunberg 2017-07-24 11:52:23 EDT
Yup, this seems fixed now.

[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

================
*** APPROVED ***
================
Comment 6 Gwyn Ciesla 2017-07-24 13:33:55 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/docker-client-java
Comment 7 Mat Booth 2017-07-25 16:29:18 EDT
Looks like it was successfully built!

https://koji.fedoraproject.org/koji/buildinfo?buildID=921543

Note You need to log in before you can comment on or make changes to this bug.